import pygame

class Sound:
    def __init__(self):
        pygame.mixer.init(44100,16,2)
        self.bgm=None
        fx=['ouch','enemyhit','grapple','grapplehit','jump','land']
        folder='media/sfx/'
        self.sfx={}
        for f in fx:
            self.sfx[f]=pygame.mixer.Sound(folder+f+'.ogg')
    def playBGM(self,filename):
        pygame.mixer.music.load(filename)
        pygame.mixer.music.play(-1)
    def stopBGM(self):
            pygame.mixer.music.stop()
    def play(self,name):
        self.sfx[name].play()