#!/usr/bin/env python
import tarfile, os, pygame
def unpack(dir_name, rsc_name):
    path = os.path.join(os.getcwd(), dir_name, rsc_name)
    tf = tarfile.open(path, "r")
    rf_name = os.path.splitext(rsc_name)[0]+'.txt'
    rf_info = tf.getmember(rf_name)
    rsc_file = tf.extractfile(rf_info)
    
    lines = rsc_file.readlines()
    print lines
    dict_o_list = dict()
    list_o_tuples = list()
    key=None
    for line in lines:
        bundle = line.split(':')
        print bundle
        if len(bundle) == 1:
            if key:
                print 'added frames',key,list_o_tuples
                dict_o_list[key.strip()]=list_o_tuples
            key = bundle[0]
            print 'got new key',key
            list_o_tuples=[]
        else:
            img_name, o_point = bundle
            print img_name
            img_file = tf.extractfile(img_name)
            img = pygame.image.load(img_file)
            exec('origin=%s'%o_point)
        
            list_o_tuples.append((img, origin))
           
    dict_o_list[key.strip()]=list_o_tuples
    return(dict_o_list)

if __name__ == "__main__":
    dname = os.getcwd()
    rsc = "resources.tar"
    dl = unpack(dname, rsc)
    for k in dl:
        for x,y in dl[k]:
            print k, x, y
            #pass
    
    